"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.js");
const runtimeCore_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.js");
const reactivity_esmBundler = require("../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.js");
const _hoisted_1 = { class: "go-border-box" };
const _hoisted_2 = ["width", "height"];
const _hoisted_3 = ["fill", "stroke", "d"];
const _hoisted_4 = ["stroke"];
const _hoisted_5 = ["stroke"];
const _hoisted_6 = ["stroke", "d"];
const _sfc_main = /* @__PURE__ */ runtimeCore_esmBundler.defineComponent({
  __name: "index",
  props: {
    chartConfig: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const { w, h } = reactivity_esmBundler.toRefs(props.chartConfig.attr);
    const { colors, backgroundColor } = reactivity_esmBundler.toRefs(props.chartConfig.option);
    return (_ctx, _cache) => {
      return runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock("div", _hoisted_1, [
        (runtimeCore_esmBundler.openBlock(), runtimeCore_esmBundler.createElementBlock("svg", {
          width: reactivity_esmBundler.unref(w),
          height: reactivity_esmBundler.unref(h)
        }, [
          runtimeCore_esmBundler.createElementVNode("path", {
            fill: reactivity_esmBundler.unref(backgroundColor),
            stroke: reactivity_esmBundler.unref(colors)[0],
            d: `
          M 5 20 L 5 10 L 12 3  L 60 3 L 68 10
          L ${reactivity_esmBundler.unref(w) - 20} 10 L ${reactivity_esmBundler.unref(w) - 5} 25
          L ${reactivity_esmBundler.unref(w) - 5} ${reactivity_esmBundler.unref(h) - 5} L 20 ${reactivity_esmBundler.unref(h) - 5}
          L 5 ${reactivity_esmBundler.unref(h) - 20} L 5 20
        `
          }, null, 8, _hoisted_3),
          runtimeCore_esmBundler.createElementVNode("path", {
            fill: "transparent",
            "stroke-w": "3",
            "stroke-linecap": "round",
            "stroke-dasharray": "10, 5",
            stroke: reactivity_esmBundler.unref(colors)[0],
            d: `M 16 9 L 61 9`
          }, null, 8, _hoisted_4),
          runtimeCore_esmBundler.createElementVNode("path", {
            fill: "transparent",
            stroke: reactivity_esmBundler.unref(colors)[1],
            d: `M 5 20 L 5 10 L 12 3  L 60 3 L 68 10`
          }, null, 8, _hoisted_5),
          runtimeCore_esmBundler.createElementVNode("path", {
            fill: "transparent",
            stroke: reactivity_esmBundler.unref(colors)[1],
            d: `M ${reactivity_esmBundler.unref(w) - 5} ${reactivity_esmBundler.unref(h) - 30} L ${reactivity_esmBundler.unref(w) - 5} ${reactivity_esmBundler.unref(h) - 5} L ${reactivity_esmBundler.unref(w) - 30} ${reactivity_esmBundler.unref(h) - 5}`
          }, null, 8, _hoisted_6)
        ], 8, _hoisted_2))
      ]);
    };
  }
});
exports.default = _sfc_main;
